For the complete documentation index, see llms.txt. This page is also available as Markdown.

Engine

get
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Responses
200

Success: List of engines

application/json
get/api/v1/engine/
GET /api/v1/engine/ HTTP/1.1
Accept: */*
{
  "engines": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "latest_job_status": "CREATED",
      "connector_type": "text",
      "source_database_status": "CURRENT"
    }
  ]
}
get
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
engine_idstringRequired
Responses
200Success
application/json
seed_valueinteger · nullableOptionalDefault: null
use_seedboolean · nullableOptionalDefault: null
pii_model_settingsobject · Pii Model Settings · nullableOptionalDefault: null
initialization_modestring · enum · nullableOptionalDefault: nullPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: nullPossible values:
n_parallel_pipeline_processesinteger · nullableOptionalDefault: null
default_n_training_rowsinteger · nullableOptionalDefault: null
default_sample_noise_rationumber · nullableOptionalDefault: null
default_max_n_feat_per_modelinteger · nullableOptionalDefault: null
default_feat_model_train_orderstring · nullableOptionalDefault: null
default_cardinality_thresholdinteger · nullableOptionalDefault: null
default_rare_category_replacementstring · nullableOptionalDefault: null
default_clip_thresholdinteger · nullableOptionalDefault: null
default_localestring · enum · nullableOptionalDefault: nullPossible values:
default_pii_mock_replaceboolean · nullableOptionalDefault: null
default_noise_factornumber · nullableOptionalDefault: null
default_text_processor_model_settingsobject · Default Text Processor Model Settings · nullableOptionalDefault: null
default_textpii_parallel_jobsinteger · nullableOptionalDefault: null
default_textpii_scan_batch_sizeinteger · nullableOptionalDefault: null
default_cutoff_lengthinteger · nullableOptionalDefault: null
default_min_sample_sizeinteger · nullableOptionalDefault: null
default_fast_executemanyboolean · nullableOptionalDefault: null
default_consistent_integer_shuffle_thresholdinteger · nullableOptionalDefault: null
default_max_pending_tasksinteger · nullableOptionalDefault: null
default_exclude_tablesboolean · nullableOptionalDefault: false
default_data_batch_sizeinteger · nullableOptionalDefault: null
default_n_connectionsinteger · nullableOptionalDefault: null
default_simultaneous_read_writeboolean · nullableOptionalDefault: true
idstring · uuidRequired
createdstring · date-time · nullableOptionalDefault: null
last_updatedstring · date-time · nullableOptionalDefault: null
workspace_pkintegerRequired
get/api/v1/engine/{engine_id}/
GET /api/v1/engine/{engine_id}/ HTTP/1.1
Accept: */*
{
  "seed_value": 1,
  "use_seed": true,
  "pii_model_settings": {},
  "initialization_mode": "MOCK",
  "key_generation_method": "duplicate",
  "n_parallel_pipeline_processes": 1,
  "default_n_training_rows": 1,
  "default_sample_noise_ratio": 1,
  "default_max_n_feat_per_model": 1,
  "default_feat_model_train_order": "text",
  "default_cardinality_threshold": 1,
  "default_rare_category_replacement": "text",
  "default_clip_threshold": 1,
  "default_locale": "en",
  "default_pii_mock_replace": true,
  "default_noise_factor": 1,
  "default_text_processor_model_settings": {},
  "default_textpii_parallel_jobs": 1,
  "default_textpii_scan_batch_size": 1,
  "default_cutoff_length": 1,
  "default_min_sample_size": 1,
  "default_fast_executemany": true,
  "default_consistent_integer_shuffle_threshold": 1,
  "default_max_pending_tasks": 1,
  "default_exclude_tables": false,
  "default_data_batch_size": 1,
  "default_n_connections": 1,
  "default_simultaneous_read_write": true,
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z",
  "source_database": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "engine_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "status": "CURRENT",
    "type": "SOURCE",
    "last_synced_at": "2026-01-01T00:00:00.000Z",
    "source_connector": {
      "hooks_params": {
        "SSHTunnel": {
          "host": "text",
          "port": 1,
          "username": "text",
          "local_port": 1,
          "local_host": "text"
        },
        "SSL": {
          "ca_filename": "text",
          "cert_filename": "text",
          "key_filename": "text",
          "ssl_mode": "text"
        },
        "Kerberos": {
          "principal": "text"
        }
      },
      "is_source": true,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "engine_id": "123e4567-e89b-12d3-a456-426614174000",
      "connector_type": "text",
      "host": "text",
      "database": "text",
      "username": "text",
      "schema_name": "text",
      "port": 1433,
      "protocol": "mssql+pyodbc",
      "include_views": false
    },
    "target_connector": {
      "hooks_params": {
        "SSHTunnel": {
          "host": "text",
          "port": 1,
          "username": "text",
          "local_port": 1,
          "local_host": "text"
        },
        "SSL": {
          "ca_filename": "text",
          "cert_filename": "text",
          "key_filename": "text",
          "ssl_mode": "text"
        },
        "Kerberos": {
          "principal": "text"
        }
      },
      "is_source": true,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "engine_id": "123e4567-e89b-12d3-a456-426614174000",
      "connector_type": "text",
      "host": "text",
      "database": "text",
      "username": "text",
      "schema_name": "text",
      "port": 1433,
      "protocol": "mssql+pyodbc",
      "include_views": false
    }
  },
  "target_database": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "engine_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "status": "CURRENT",
    "type": "SOURCE",
    "last_synced_at": "2026-01-01T00:00:00.000Z",
    "source_connector": {
      "hooks_params": {
        "SSHTunnel": {
          "host": "text",
          "port": 1,
          "username": "text",
          "local_port": 1,
          "local_host": "text"
        },
        "SSL": {
          "ca_filename": "text",
          "cert_filename": "text",
          "key_filename": "text",
          "ssl_mode": "text"
        },
        "Kerberos": {
          "principal": "text"
        }
      },
      "is_source": true,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "engine_id": "123e4567-e89b-12d3-a456-426614174000",
      "connector_type": "text",
      "host": "text",
      "database": "text",
      "username": "text",
      "schema_name": "text",
      "port": 1433,
      "protocol": "mssql+pyodbc",
      "include_views": false
    },
    "target_connector": {
      "hooks_params": {
        "SSHTunnel": {
          "host": "text",
          "port": 1,
          "username": "text",
          "local_port": 1,
          "local_host": "text"
        },
        "SSL": {
          "ca_filename": "text",
          "cert_filename": "text",
          "key_filename": "text",
          "ssl_mode": "text"
        },
        "Kerberos": {
          "principal": "text"
        }
      },
      "is_source": true,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "engine_id": "123e4567-e89b-12d3-a456-426614174000",
      "connector_type": "text",
      "host": "text",
      "database": "text",
      "username": "text",
      "schema_name": "text",
      "port": 1433,
      "protocol": "mssql+pyodbc",
      "include_views": false
    }
  },
  "workspace_pk": 1
}
delete
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
engine_idstringRequired
Responses
200Success
application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
delete/api/v1/engine/{engine_id}/delete/
DELETE /api/v1/engine/{engine_id}/delete/ HTTP/1.1
Accept: */*
{
  "id": "text",
  "code": "text",
  "title": "text",
  "body": [
    "text"
  ],
  "durability": "temporary",
  "duration": 5000,
  "kind": "info",
  "details": {
    "ANY_ADDITIONAL_PROPERTY": [
      "text"
    ]
  },
  "payload": null,
  "action": {},
  "display": "notification",
  "created_at": "text"
}
get
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
engine_idstringRequired
Responses
200Success
application/json
seed_valueinteger · nullableOptionalDefault: null
use_seedboolean · nullableOptionalDefault: null
pii_model_settingsobject · Pii Model Settings · nullableOptionalDefault: null
initialization_modestring · enum · nullableOptionalDefault: nullPossible values:
key_generation_methodstring · enum · nullableOptionalDefault: nullPossible values:
n_parallel_pipeline_processesinteger · nullableOptionalDefault: null
default_n_training_rowsinteger · nullableOptionalDefault: null
default_sample_noise_rationumber · nullableOptionalDefault: null
default_max_n_feat_per_modelinteger · nullableOptionalDefault: null
default_feat_model_train_orderstring · nullableOptionalDefault: null
default_cardinality_thresholdinteger · nullableOptionalDefault: null
default_rare_category_replacementstring · nullableOptionalDefault: null
default_clip_thresholdinteger · nullableOptionalDefault: null
default_localestring · enum · nullableOptionalDefault: nullPossible values:
default_pii_mock_replaceboolean · nullableOptionalDefault: null
default_noise_factornumber · nullableOptionalDefault: null
default_text_processor_model_settingsobject · Default Text Processor Model Settings · nullableOptionalDefault: null
default_textpii_parallel_jobsinteger · nullableOptionalDefault: null
default_textpii_scan_batch_sizeinteger · nullableOptionalDefault: null
default_cutoff_lengthinteger · nullableOptionalDefault: null
default_min_sample_sizeinteger · nullableOptionalDefault: null
default_fast_executemanyboolean · nullableOptionalDefault: null
default_consistent_integer_shuffle_thresholdinteger · nullableOptionalDefault: null
default_max_pending_tasksinteger · nullableOptionalDefault: null
default_exclude_tablesboolean · nullableOptionalDefault: false
default_data_batch_sizeinteger · nullableOptionalDefault: null
default_n_connectionsinteger · nullableOptionalDefault: null
default_simultaneous_read_writeboolean · nullableOptionalDefault: true
idstring · uuidRequired
set_defaultsboolean · nullableOptionalDefault: true
get/api/v1/engine/{engine_id}/settings/
GET /api/v1/engine/{engine_id}/settings/ HTTP/1.1
Accept: */*
200Success
{
  "seed_value": 1,
  "use_seed": true,
  "pii_model_settings": {},
  "initialization_mode": "MOCK",
  "key_generation_method": "duplicate",
  "n_parallel_pipeline_processes": 1,
  "default_n_training_rows": 1,
  "default_sample_noise_ratio": 1,
  "default_max_n_feat_per_model": 1,
  "default_feat_model_train_order": "text",
  "default_cardinality_threshold": 1,
  "default_rare_category_replacement": "text",
  "default_clip_threshold": 1,
  "default_locale": "en",
  "default_pii_mock_replace": true,
  "default_noise_factor": 1,
  "default_text_processor_model_settings": {},
  "default_textpii_parallel_jobs": 1,
  "default_textpii_scan_batch_size": 1,
  "default_cutoff_length": 1,
  "default_min_sample_size": 1,
  "default_fast_executemany": true,
  "default_consistent_integer_shuffle_threshold": 1,
  "default_max_pending_tasks": 1,
  "default_exclude_tables": false,
  "default_data_batch_size": 1,
  "default_n_connections": 1,
  "default_simultaneous_read_write": true,
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "set_defaults": true
}
get
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Responses
200

Success: Initialization modes

application/json
get/api/v1/engine/initialization_modes/
GET /api/v1/engine/initialization_modes/ HTTP/1.1
Accept: */*
200

Success: Initialization modes

{
  "initialization_modes": [
    {
      "name": "MOCK",
      "key_generation_method": {
        "available": [
          "duplicate"
        ],
        "default": "duplicate"
      },
      "default_locale": {
        "available": [
          "duplicate"
        ],
        "default": "duplicate"
      }
    }
  ]
}

Last updated

Was this helpful?